<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class QueueItem extends Model
{
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'batch_reference',
        'action_type',
        'album_id',
        'photo_id',
        'queued_at',
        'user_id'
    ];

    public function album()
    {
        return $this->belongsTo(Album::class);
    }

    public function photo()
    {
        return $this->belongsTo(Photo::class);
    }

    public function user()
    {
        return $this->belongsTo(User::class);
    }
}
